require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_MACHINE_DISKLABEL_H_)) {
    eval 'sub _MACHINE_DISKLABEL_H_ () {1;}' unless defined(&_MACHINE_DISKLABEL_H_);
    eval 'sub LABELSECTOR () {1;}' unless defined(&LABELSECTOR);
    eval 'sub LABELOFFSET () {0;}' unless defined(&LABELOFFSET);
    eval 'sub MAXPARTITIONS () {16;}' unless defined(&MAXPARTITIONS);
    eval 'sub RAW_PART () {2;}' unless defined(&RAW_PART);
    eval 'sub DOSBBSECTOR () {0;}' unless defined(&DOSBBSECTOR);
    eval 'sub DOSPARTOFF () {446;}' unless defined(&DOSPARTOFF);
    eval 'sub NDOSPART () {4;}' unless defined(&NDOSPART);
    eval 'sub DOSMAGICOFF () {510;}' unless defined(&DOSMAGICOFF);
    eval 'sub DOSMAGIC () {0xaa55;}' unless defined(&DOSMAGIC);
    eval 'sub MBRMAGIC () { &DOSMAGIC;}' unless defined(&MBRMAGIC);
    eval 'sub DOSMBR_SIGNATURE () { &MBRMAGIC;}' unless defined(&DOSMBR_SIGNATURE);
    eval 'sub DOSMBR_SIGNATURE_OFF () { &DOSMAGICOFF;}' unless defined(&DOSMBR_SIGNATURE_OFF);
    eval 'sub DOSACTIVE () {0x80;}' unless defined(&DOSACTIVE);
    eval 'sub DOSPTYP_UNUSED () {0x;}' unless defined(&DOSPTYP_UNUSED);
    eval 'sub DOSPTYP_FAT12 () {0x1;}' unless defined(&DOSPTYP_FAT12);
    eval 'sub DOSPTYP_FAT16S () {0x4;}' unless defined(&DOSPTYP_FAT16S);
    eval 'sub DOSPTYP_EXTEND () {0x5;}' unless defined(&DOSPTYP_EXTEND);
    eval 'sub DOSPTYP_FAT16B () {0x6;}' unless defined(&DOSPTYP_FAT16B);
    eval 'sub DOSPTYP_FAT32 () {0xb;}' unless defined(&DOSPTYP_FAT32);
    eval 'sub DOSPTYP_FAT32L () {0xc;}' unless defined(&DOSPTYP_FAT32L);
    eval 'sub DOSPTYP_FAT16C () {0xe;}' unless defined(&DOSPTYP_FAT16C);
    eval 'sub DOSPTYP_EXTENDL () {0xf;}' unless defined(&DOSPTYP_EXTENDL);
    eval 'sub DOSPTYP_ONTRACK () {0x54;}' unless defined(&DOSPTYP_ONTRACK);
    eval 'sub DOSPTYP_LINUX () {0x83;}' unless defined(&DOSPTYP_LINUX);
    eval 'sub DOSPTYP_FREEBSD () {0xa5;}' unless defined(&DOSPTYP_FREEBSD);
    eval 'sub DOSPTYP_OPENBSD () {0xa6;}' unless defined(&DOSPTYP_OPENBSD);
    eval 'sub DOSPTYP_NETBSD () {0xa9;}' unless defined(&DOSPTYP_NETBSD);
    require 'sys/dkbad.ph';
    eval 'sub DPSECT {
        local($s) = @_;
	    eval q((($s) & 0x3f));
    }' unless defined(&DPSECT);
    eval 'sub DPCYL {
        local($c, $s) = @_;
	    eval q((($c) + ((($s) & 0xc0) << 2)));
    }' unless defined(&DPCYL);
# some #ifdef were dropped here -- fill in the blanks
    eval 'sub u_int32_t {
        eval q({  &u_int8_t * &_p = ( &u_int8_t *) &p; \'int\'  &x;  &x =  $_p[0];  &x |=  $_p[1] << 8;  &x |=  $_p[2] << 16;  &x |=  $_p[3] << 24;  &x; });
    }' unless defined(&u_int32_t);
    eval 'sub PART_ENTRY_MAGIC () {0x504d;}' unless defined(&PART_ENTRY_MAGIC);
    if(0) {
    }
    eval 'sub PART_TYPE_DRIVER () {"APPLE_DRIVER";}' unless defined(&PART_TYPE_DRIVER);
    eval 'sub PART_TYPE_DRIVER43 () {"APPLE_DRIVER43";}' unless defined(&PART_TYPE_DRIVER43);
    eval 'sub PART_TYPE_DRIVERATA () {"APPLE_DRIVER_ATA";}' unless defined(&PART_TYPE_DRIVERATA);
    eval 'sub PART_TYPE_DRIVERIOKIT () {"APPLE_DRIVER_IOKIT";}' unless defined(&PART_TYPE_DRIVERIOKIT);
    eval 'sub PART_TYPE_FWDRIVER () {"APPLE_FWDRIVER";}' unless defined(&PART_TYPE_FWDRIVER);
    eval 'sub PART_TYPE_FWB_COMPONENT () {"FWB DRIVER COMPONENTS";}' unless defined(&PART_TYPE_FWB_COMPONENT);
    eval 'sub PART_TYPE_FREE () {"APPLE_FREE";}' unless defined(&PART_TYPE_FREE);
    eval 'sub PART_TYPE_MAC () {"APPLE_HFS";}' unless defined(&PART_TYPE_MAC);
    eval 'sub PART_TYPE_OPENBSD () {"OPENBSD";}' unless defined(&PART_TYPE_OPENBSD);
    eval 'sub DKBAD {
        local($x) = @_;
	    eval q((($x)-> &bad));
    }' unless defined(&DKBAD);
}
1;
