require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&MACHINE_VMPARAM_H)) {
    eval 'sub MACHINE_VMPARAM_H () {1;}' unless defined(&MACHINE_VMPARAM_H);
    eval 'sub USRTEXT () { &PAGE_SIZE;}' unless defined(&USRTEXT);
    eval 'sub USRSTACK () { &VM_MAXUSER_ADDRESS;}' unless defined(&USRSTACK);
    unless(defined(&MAXTSIZ)) {
	eval 'sub MAXTSIZ () {(16*1024*1024);}' unless defined(&MAXTSIZ);
    }
    unless(defined(&DFLDSIZ)) {
	eval 'sub DFLDSIZ () {(32*1024*1024);}' unless defined(&DFLDSIZ);
    }
    unless(defined(&MAXDSIZ)) {
	eval 'sub MAXDSIZ () {(512*1024*1024);}' unless defined(&MAXDSIZ);
    }
    unless(defined(&DFLSSIZ)) {
	eval 'sub DFLSSIZ () {(1*1024*1024);}' unless defined(&DFLSSIZ);
    }
    unless(defined(&MAXSSIZ)) {
	eval 'sub MAXSSIZ () {(32*1024*1024);}' unless defined(&MAXSSIZ);
    }
    unless(defined(&SHMMAXPGS)) {
	eval 'sub SHMMAXPGS () {8192;}' unless defined(&SHMMAXPGS);
    }
    eval 'sub USRIOSIZE () {1024;}' unless defined(&USRIOSIZE);
    eval 'sub MAXSLP () {20;}' unless defined(&MAXSLP);
    eval 'sub VM_MIN_ADDRESS () {(( &vm_offset_t)0);}' unless defined(&VM_MIN_ADDRESS);
    eval 'sub VM_MAXUSER_ADDRESS () {(( &vm_offset_t)0xfffff000);}' unless defined(&VM_MAXUSER_ADDRESS);
    eval 'sub VM_MAX_ADDRESS () { &VM_MAXUSER_ADDRESS;}' unless defined(&VM_MAX_ADDRESS);
    eval 'sub VM_MIN_KERNEL_ADDRESS () {(( &vm_offset_t)( &PPC_KERNEL_SR <<  &ADDR_SR_SHIFT));}' unless defined(&VM_MIN_KERNEL_ADDRESS);
    eval 'sub VM_KERN_ADDRESS_SIZE () {( &PPC_SEGMENT_LENGTH - (32* 1024* 1024));}' unless defined(&VM_KERN_ADDRESS_SIZE);
    eval 'sub VM_MAX_KERNEL_ADDRESS () {( &VM_MIN_KERNEL_ADDRESS +  &VM_KERN_ADDRESS_SIZE);}' unless defined(&VM_MAX_KERNEL_ADDRESS);
    eval 'sub VM_PHYS_SIZE () {( &USRIOSIZE *  &PAGE_SIZE);}' unless defined(&VM_PHYS_SIZE);
    eval 'sub __HAVE_PMAP_PHYSSEG () {1;}' unless defined(&__HAVE_PMAP_PHYSSEG);
    eval 'sub VM_PHYSSEG_MAX () {32;}' unless defined(&VM_PHYSSEG_MAX);
    eval 'sub VM_PHYSSEG_STRAT () { &VM_PSTRAT_BSEARCH;}' unless defined(&VM_PHYSSEG_STRAT);
    eval 'sub VM_PHYSSEG_NOADD () {1;}' unless defined(&VM_PHYSSEG_NOADD);
    eval 'sub VM_NFREELIST () {1;}' unless defined(&VM_NFREELIST);
    eval 'sub VM_FREELIST_DEFAULT () {0;}' unless defined(&VM_FREELIST_DEFAULT);
}
1;
